# Capacitor: Native Progressive Web Apps

Capacitor is a cross-platform app runtime that makes it easy to build web apps that run
natively on iOS, Android, Electron, *and* the web. We call these apps "Native Progressive Web Apps" and they represent the next evolution beyond Hybrid apps.

Capacitor provides a consistent, web-focused set of APIs that enable an app to stay as close to web-standards as possible,
while accessing rich native device features on platforms that support them. Adding native functionalty is easy with a simple Plugin API for Swift on iOS, Java on Android, and JavaScript for the web.

Capacitor is a spiritual successor to Apache Cordova and Adobe PhoneGap, with inspiration from other popular cross-platform tools like React Native and Turbolinks, but focused entirely on enabling modern web apps to run on all major platforms with ease. Capacitor has backwards-compatible support for many existing Cordova plugins.

Getting started with Capacitor is easy! Capacitor can be used as a drop in to any existing modern JavaScript project, or used to create a fresh Capacitor project from scratch.

Follow the <stencil-route-link url="/docs/getting-started/">Getting Started</stencil-route-link> guide to get started building your app.